<?php

Mock::generate('Wact_Template_Compiler_Node_View','MockViewTemplateNode');
Mock::generate('Wact_Template_Compiler_Parser_Source','MockSourceParser');
Mock::generate('Wact_Template_Compiler_Parser_TreeBuilder','MockTreeBuilder');
Mock::generate('Wact_Template_Compiler_Context','MockCompilingContext');
Mock::generate('Wact_Html_Sax_Parser','MockHTMLParser');

abstract class Wact_Template_Compiler_Parser_State_Test extends Wact_Test_Case {
    protected $state;
    protected $treeBuilder;
    protected $parser;
    protected $locator;

    function setUp() {
        $this->parser = new MockSourceParser($this);
        $this->treeBuilder = new MockTreeBuilder($this);
        $this->locator = new MockHTMLParser($this);
    }

}

?>